"use client";

import { faSearch } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";

export default function Search() {

    return (
        <div className="w-full flex min-h-[100vh] justify-center flex-col  items-center py-10">

            <div className="text-[30px] font-bold">AI工具集</div>
            <div className="w-[800px] flex flex-col gap-y-2">
                <div className="flex  w-full justify-center gap-x-5 text-[#666666]">
                    <div className="text-[#333]">常用</div>
                    <div>搜索</div>
                    <div>社区</div>
                    <div>图片</div>
                    <div>生活</div>
                </div>
                <div className="w-full relative ">
                    <input type="text" placeholder="站内资源搜索" className="w-full bg-[#C4C2C6] px-4 h-[50px] rounded-3xl  outline-none" />
                    <FontAwesomeIcon className="text-white absolute top-1/2 -translate-y-1/2 right-6 text-xl" icon={faSearch}></FontAwesomeIcon>
                </div>
            </div>

        </div>
    );
}